Bug 599709 - Review Request: python26-greenlet - Lightweight in-process concurrent programming
Review Request: python26-greenlet - Lightweight in-process concurrent program...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lev Shamardin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-03 15:23 EDT by Kevin Fenzi
Modified: 2010-07-09 01:57 EDT (History)
3 users (show)

See Also:
Fixed In Version: python26-greenlet-0.3.1-3.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-09 01:57:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shamardin: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2010-06-03 15:23:52 EDT
Spec URL: http://www.scrye.com/~kevin/fedora/python26-greenlet/python26-greenlet.spec
SRPM URL: http://www.scrye.com/~kevin/fedora/python26-greenlet/python26-greenlet-0.3.1-3.el5.src.rpm
Description: 

The greenlet package is a spin-off of Stackless, a version of CPython
that supports micro-threads called "tasklets". Tasklets run
pseudo-concurrently (typically in a single or a few OS-level threads)
and are synchronized with data exchanges on "channels".

NOTE: This package is for EPEL-5's python26 stack only. 
See python-greenlet review at bug 580964
Comment 1 Lev Shamardin 2010-06-06 16:49:51 EDT
There are some weird problems with the package.

rpmlint output for packages built in mock (this is same for both x86_64 and i386 actally):

$ rpmlint python26-greenlet-0.3.1-3.el5.src.rpm python26-greenlet-0.3.1-3.el5.x86_64.rpm python26-greenlet-devel-0.3.1-3.el5.x86_64.rpm python26-greenlet-debuginfo-0.3.1-3.el5.x86_64.rpm
python26-greenlet.x86_64: E: non-standard-executable-perm /usr/lib64/python2.6/site-packages/greenlet.so 0775
python26-greenlet-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 1 errors, 1 warnings.

I've tried building this package not in mock - and it does produce normal permissions. But building in mock gives these results. Could you please check what is wrong with permissions?

Everything else seems to be fine, and I will post a formal review as soon as you fix this one.
Comment 2 Kevin Fenzi 2010-06-07 12:51:24 EDT
Huh. This is odd. It doesn't show up here in mock: 

python26-greenlet-devel.i386: W: no-documentation
python26-greenlet-devel.x86_64: W: no-documentation

What host/mock version are you building on?

I would do a koji scratch build to check it there, python26-distribute isn't in the buildroots. ;(
Comment 3 Lev Shamardin 2010-06-07 13:46:20 EDT
I have tested with mock-1.0.7-1.fc12 on Fedora 12 for i386 and with mock-1.0.7-1.el5 from EPEL on Scientific Linux 5.4 for x86_64. Mock configuration used was standard epel-5-$arch.cfg with one extra repository containing python26-distribute package. May be we should wait for koji. I think it should be safe to push python26-distribute to stable right away since this is a new package and nothing depends on it (voted in bodhi anyway). I think we should really check a koji scratch build, since all these permissions things are very odd.

The same question to you: which host/mock versions are you using?
Comment 4 Kevin Fenzi 2010-06-07 14:59:29 EDT
mock-1.1.1-1.fc14.noarch in a x86_64 rawhide vm here. 

Please do add karma to python26-distribute so it goes to stable. 
We don't allow pushing direct to stable for any reason without karma. 

Once thats in I would be happy to do a scratch and we can try and figure out whats going on.
Comment 5 Kevin Fenzi 2010-06-08 19:28:37 EDT
ok, python26-distribute is tagged in now, and so: 

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2239499
Comment 6 Lev Shamardin 2010-06-09 03:39:35 EDT
MUST items:

* OK - no errors, all warnings can be ignored. See at the end of the review.
* OK - package is named according to guidelines.
* OK - package spec file is named correctly.
* OK - package does meet the packaging guidelines.
* OK - package licensed under MIT License
* OK - License field in the spec file matches the actual license.
* OK - original sources do not provide license text, so it is not included.
* OK - spec file is written in American English.
* OK - spec file is legible.
* OK - the sources for the package match the upstream.
  8d75d7f3f659e915e286e1b0fa0e1c4d  greenlet-0.3.1.tar.gz
  8d75d7f3f659e915e286e1b0fa0e1c4d  greenlet-0.3.1.tar.gz.orig
* OK - checked that package does compile on i386 and x86_64.
* OK - architectures where the package does not work are unknown.
* OK - package lists sane BuildRequires.
* OK - package does not use locales.
* OK - package does not store shared libraries in any of the dynamic linker's default paths.
* OK - package does not bundle copies of system libraries.
* OK - package is not relocatable.
* OK - package owns all directories it creates.
* OK - %files listings are correct.
* OK - permissons on files are set correctly, %defattr is included in all %files sections.
* OK - package contains code or permissible content.
* OK - package does not contain large documentation.
* OK - package %doc contents does not affect it's runtime.
* OK - header files are in -devel subpackage.
* OK - package does not provided static libraries.
* OK - package does not provide libraries with a suffix.
* OK - -devel subpackage has Requires: %{name} = %{version}-%{release}
* OK - package does not contain .la files.
* OK - package does not contain a GUI application.
* OK - package does not own files or directories owned by other packages.
* OK - all file names are UTF-8.

SHOULD items:

* OK - Upstream is asked to include the license text to the distribution: http://bitbucket.org/ambroff/greenlet/issue/10/
* OK - the package builds in mock (if you make python26-distribute available to mock, it is now in testing).
* OK - the pacakge functions as described.
* OK - the package does not use scriplets.
* OK - the package does not provide pkgconfig files.
* OK - the package does not have file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin.

rpmlint output:

$ rpmlint python26-greenlet-0.3.1-3.el5.x86_64.rpm python26-greenlet-debuginfo-0.3.1-3.el5.x86_64.rpm python26-greenlet-devel-0.3.1-3.el5.x86_64.rpm python26-greenlet-0.3.1-3.el5.src.rpm 
python26-greenlet.x86_64: W: spelling-error %description -l en_US tasklets -> task lets, task-lets, anklets
python26-greenlet.x86_64: W: spelling-error %description -l en_US Tasklets -> Task lets, Task-lets, Anklets
python26-greenlet-devel.x86_64: W: no-documentation
python26-greenlet.src: W: spelling-error %description -l en_US tasklets -> task lets, task-lets, anklets
python26-greenlet.src: W: spelling-error %description -l en_US Tasklets -> Task lets, Task-lets, Anklets
4 packages and 0 specfiles checked; 0 errors, 5 warnings.

I consider the package can be APPROVED.
Comment 7 Kevin Fenzi 2010-06-09 14:09:24 EDT
Thank you so much for the review!

New Package CVS Request
=======================
Package Name: python26-greenlet
Short Description: Lightweight in-process concurrent programming
Owners: kevin
Branches: EL-5
InitialCC:
Comment 8 Kevin Fenzi 2010-06-11 00:53:30 EDT
CVS done (by process-cvs-requests.py).
Comment 9 Fedora Update System 2010-06-21 15:28:59 EDT
python26-greenlet-0.3.1-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/python26-greenlet-0.3.1-3.el5
Comment 10 Fedora Update System 2010-06-21 21:12:21 EDT
python26-greenlet-0.3.1-3.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python26-greenlet'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python26-greenlet-0.3.1-3.el5
Comment 11 Fedora Update System 2010-07-09 01:57:06 EDT
python26-greenlet-0.3.1-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.